import { ToastrService } from 'ngx-toastr';
import { Product } from '../interfaces/product';
import { BehaviorSubject, Observable, Subscriber } from 'rxjs';
export declare class WishlistService {
    private toastrService;
    wishlistProducts: BehaviorSubject<Product[]>;
    observer: Subscriber<{}>;
    constructor(toastrService: ToastrService);
    getProducts(): Observable<Product[]>;
    hasProduct(product: Product): boolean;
    addToWishlist(product: Product): Product | boolean;
    removeFromWishlist(product: Product): void;
}
